summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlex Brandt <alunduil@gentoo.org>2016-08-06 09:50:42 -0500
committerAlex Brandt <alunduil@gentoo.org>2016-08-06 09:50:42 -0500
commiteeca44acda5cbb854c6aeee8ed7f50dc5e55dcb7 (patch)
tree8a4a47aefa6c4dd4adc8a89286f116ef54b62ad1 /dev-python/radon/radon-1.4.2.ebuild
parentdev-python/flake8-polyfill: add version 1.0.1 (diff)
downloadgentoo-eeca44acda5cbb854c6aeee8ed7f50dc5e55dcb7.tar.gz
gentoo-eeca44acda5cbb854c6aeee8ed7f50dc5e55dcb7.tar.bz2
gentoo-eeca44acda5cbb854c6aeee8ed7f50dc5e55dcb7.zip
dev-python/radon: add version 1.4.2
Package-Manager: portage-2.3.0
Diffstat (limited to 'dev-python/radon/radon-1.4.2.ebuild')
-rw-r--r--dev-python/radon/radon-1.4.2.ebuild54
1 files changed, 54 insertions, 0 deletions
diff --git a/dev-python/radon/radon-1.4.2.ebuild b/dev-python/radon/radon-1.4.2.ebuild
new file mode 100644
index 00000000000..9847392de48
--- /dev/null
+++ b/dev-python/radon/radon-1.4.2.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+PYTHON_COMPAT=( python2_7 python3_4 )
+
+inherit distutils-r1
+
+DESCRIPTION="Code Metrics in Python"
+HOMEPAGE="https://radon.readthedocs.org/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="doc test"
+
+CDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RCDEPEND="
+ >=dev-python/colorama-0.3[${PYTHON_USEDEP}]
+ <dev-python/colorama-0.4[${PYTHON_USEDEP}]
+ dev-python/flake8-polyfill[${PYTHON_USEDEP}]
+ >=dev-python/mando-0.3[${PYTHON_USEDEP}]
+ <dev-python/mando-0.4[${PYTHON_USEDEP}]
+"
+DEPEND="
+ doc? ( dev-python/sphinx[${PYTHON_USEDEP}] )
+ ${CDEPEND}
+ test? (
+ ${RCDEPEND}
+ dev-python/nose[${PYTHON_USEDEP}]
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/paramunittest[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ ${CDEPEND}
+ ${RCDEPEND}
+"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ "${PYTHON}" radon/tests/run.py || die "tests failed to run under ${EPYTHON}"
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+
+ distutils-r1_python_install_all
+}